
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpCore 4.2.3</title>
</head><body onload="loadPkgPane('HttpCore 4.2.3', 'pkg-test.html');">
  <!-- render overall summary coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:34:57 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Test</span>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<a href="proj-risks.html">Clouds</a></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="testsrc-pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:34:46 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      6,743
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      15,811
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      1,167
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      9.84
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      322
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      11,186
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.17
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      7.7
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      685
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      75
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.7
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      6.36
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      89
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      14
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Wed Nov 28 2012 22:34:46 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      6,743
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      15,811
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      1,167
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      9.84
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      322
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      11,186
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.17
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      7.7
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      685
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      75
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.7
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      6.36
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      89
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      14
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>



<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Packages</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
	        <span class="sortValue">Clover&nbsp;database&nbsp;Wed&nbsp;Nov&nbsp;28&nbsp;2012&nbsp;22:34:46&nbsp;CET</span>
    	   Clover&nbsp;database&nbsp;Wed&nbsp;Nov&nbsp;28&nbsp;2012&nbsp;22:34:46&nbsp;CET
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">14.0</span>
          14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.7036496</span>
          1.7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">461.0</span>
          461
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9405161</span>
          94.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9405161</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="5.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="94.1% Covered" class="barPositive " style="width: 94.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Package</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Files</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr><!-- render list of package coverage graphs -->
               <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.integration</span>
    	  <a href="org/apache/http/integration/testsrc-pkg-summary.html" title="org.apache.http.integration">org.apache.http.integration</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.909091</span>
          2.91
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">78.0</span>
          78
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8657487</span>
          86.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8657487</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="13.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="86.6% Covered" class="barPositive " style="width: 86.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.testserver</span>
    	  <a href="org/apache/http/testserver/testsrc-pkg-summary.html" title="org.apache.http.testserver">org.apache.http.testserver</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.875</span>
          1.88
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9120879</span>
          91.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9120879</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.2% Covered" class="barPositive " style="width: 91.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.impl.io</span>
    	  <a href="org/apache/http/impl/io/testsrc-pkg-summary.html" title="org.apache.http.impl.io">org.apache.http.impl.io</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">11.0</span>
          11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2680411</span>
          2.27
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">110.0</span>
          110
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9128368</span>
          91.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9128368</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.3% Covered" class="barPositive " style="width: 91.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.impl</span>
    	  <a href="org/apache/http/impl/testsrc-pkg-summary.html" title="org.apache.http.impl">org.apache.http.impl</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.2222222</span>
          1.22
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">18.0</span>
          18
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.91588783</span>
          91.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.91588783</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.6% Covered" class="barPositive " style="width: 91.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.util</span>
    	  <a href="org/apache/http/util/testsrc-pkg-summary.html" title="org.apache.http.util">org.apache.http.util</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.967742</span>
          1.97
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">48.0</span>
          48
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9233227</span>
          92.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9233227</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="7.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="92.3% Covered" class="barPositive " style="width: 92.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.entity</span>
    	  <a href="org/apache/http/entity/testsrc-pkg-summary.html" title="org.apache.http.entity">org.apache.http.entity</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">11.0</span>
          11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.8070176</span>
          1.81
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">35.0</span>
          35
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9380531</span>
          93.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9380531</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="6.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="93.8% Covered" class="barPositive " style="width: 93.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.message</span>
    	  <a href="org/apache/http/message/testsrc-pkg-summary.html" title="org.apache.http.message">org.apache.http.message</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">16.0</span>
          16
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6542056</span>
          1.65
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">70.0</span>
          70
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9484915</span>
          94.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9484915</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="5.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="94.8% Covered" class="barPositive " style="width: 94.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.impl.entity</span>
    	  <a href="org/apache/http/impl/entity/testsrc-pkg-summary.html" title="org.apache.http.impl.entity">org.apache.http.impl.entity</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.4545455</span>
          1.45
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">20.0</span>
          20
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9537037</span>
          95.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9537037</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="4.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="95.4% Covered" class="barPositive " style="width: 95.4%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.protocol</span>
    	  <a href="org/apache/http/protocol/testsrc-pkg-summary.html" title="org.apache.http.protocol">org.apache.http.protocol</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.4298246</span>
          1.43
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">51.0</span>
          51
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9655172</span>
          96.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9655172</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="3.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="96.6% Covered" class="barPositive " style="width: 96.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.pool</span>
    	  <a href="org/apache/http/pool/testsrc-pkg-summary.html" title="org.apache.http.pool">org.apache.http.pool</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.2777778</span>
          1.28
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">20.0</span>
          20
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9734748</span>
          97.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9734748</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="2.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="97.3% Covered" class="barPositive " style="width: 97.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http</span>
    	  <a href="org/apache/http/testsrc-pkg-summary.html" title="org.apache.http">org.apache.http</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.2307693</span>
          1.23
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9798658</span>
          98%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9798658</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="98% Covered" class="barPositive " style="width: 98%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.concurrent</span>
    	  <a href="org/apache/http/concurrent/testsrc-pkg-summary.html" title="org.apache.http.concurrent">org.apache.http.concurrent</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.2857143</span>
          1.29
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.impl.pool</span>
    	  <a href="org/apache/http/impl/pool/testsrc-pkg-summary.html" title="org.apache.http.impl.pool">org.apache.http.impl.pool</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.1428572</span>
          1.14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.params</span>
    	  <a href="org/apache/http/params/testsrc-pkg-summary.html" title="org.apache.http.params">org.apache.http.params</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:35:16 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody></table>
</body>
</html>
